Get Tool
Describe one tool and its input schema.
MethodGET
/api/v2/tools/:toolNameReturns one tool schema. Permission must include the tool's required scope.
Path Parameters
| Name | Type | Description |
|---|---|---|
toolName | string | Required. Tool name, e.g. list_subscribers. |
Response Fields
| Field | Type | Description |
|---|---|---|
name | string | Tool name. |
description | string | What the tool does. |
category | string | Tool group. |
inputSchema | object | JSON Schema for the POST body. |
outputSchema | object | JSON Schema for the tool result. |
endpoint | string | Execute path: /api/v2/tools/{name}. |
Errors
| Status | name | When |
|---|---|---|
| 401 | missing_api_key | Missing or invalid bearer token |
| 403 | missing_permission | Token lacks the tool's permission |
| 404 | not_found | Unknown tool name |